#ifndef MPI_SIMULATION_HPP
#define MPI_SIMULATION_HPP

#include <mpi.h>
#include "Simulation.hpp"
#include "MpiBodyComm.hpp"
#include <vector>

namespace nbody {
	using namespace std;

	class MpiSimulation : public Simulation {
	protected:
		int mpiSize;
		int mpiRank;
		vector<MpiBodyComm> comms;

	public:
		MpiSimulation(int& argc, char**& argv);
		virtual ~MpiSimulation();
	};
}

#endif

